metricbeat.modules:
- module: system
  metricsets:
#    - cpu             # CPU usage
#    - load            # CPU load averages
#    - memory          # Memory usage
#    - network         # Network IO
#    - process         # Per process metrics
#    - process_summary # Process summary
    - uptime          # System Uptime
#    - socket_summary  # Socket summary
    #- core           # Per CPU core usage
    #- diskio         # Disk IO
    #- filesystem     # File system usage for each mountpoint
    #- fsstat         # File system summary metrics
    #- raid           # Raid
    #- socket         # Sockets and connection info (linux only)
    #- service        # systemd service information
  enabled: true
  period: 1s
#  processes: ['.*']
#  cpu.metrics:  ["percentages","normalized_percentages"]  # The other available option is ticks.
#  core.metrics: ["percentages"]
output.redis:
  hosts: ['redis-master:6379','redis-slave:6379']
  loadbalance: true
  codec.format:
    string: '%{[@timestamp]}'


